| IGLib 1.4 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Private Member Functions | Private Attributes

# IG::Neural::Applications::Functions::ScalarFunctionScriptControl Class Reference

Control for definition of scalar functions by expressions (through script loader). More...

Collaboration diagram for IG::Neural::Applications::Functions::ScalarFunctionScriptControl:
[legend]

List of all members.

## Public Member Functions
| ScalarFunctionScriptControl ()
## Protected Member Functions
override void | Dispose (bool disposing)
| Clean up any resources being used.
## Private Member Functions
void | InitializeComponent ()
| Required method for Designer support - do not modify the contents of this method with the code editor.
## Private Attributes
System.ComponentModel.IContainer | components = null
| Required designer variable.
System.Windows.Forms.Label | lblTitle
System.Windows.Forms.Label | lblDimension
System.Windows.Forms.Label | lblName
System.Windows.Forms.TextBox | txtName
System.Windows.Forms.NumericUpDown | numericUpDown1
System.Windows.Forms.Panel | pnlOuter
System.Windows.Forms.TextBox | textBox2
System.Windows.Forms.Label | lblValue
System.Windows.Forms.TextBox | textBox1
System.Windows.Forms.Label | lblParameterNames
System.Windows.Forms.CheckBox | chkGradients
System.Windows.Forms.Button | btnValueCalculator
System.Windows.Forms.Button | btnCreateFunction
System.Windows.Forms.TextBox | txtGradients
System.Windows.Forms.Label | label1
System.Windows.Forms.TextBox | txtValueMath
System.Windows.Forms.Button | btnSummary

## Detailed Description

Control for definition of scalar functions by expressions (through script loader).

$A Igor;

## Constructor & Destructor Documentation

IG::Neural::Applications::Functions::ScalarFunctionScriptControl::ScalarFunctionScriptControl | ( |  | ) | `[inline]`

## Member Function Documentation

override void IG::Neural::Applications::Functions::ScalarFunctionScriptControl::Dispose | ( | bool | disposing | ) | `[inline, protected]`

Clean up any resources being used.

Parameters:

  disposing | true if managed resources should be disposed; otherwise, false.

void IG::Neural::Applications::Functions::ScalarFunctionScriptControl::InitializeComponent | ( |  | ) | `[inline, private]`

Required method for Designer support - do not modify the contents of this method with the code editor.

## Member Data Documentation

System.ComponentModel.IContainer IG::Neural::Applications::Functions::ScalarFunctionScriptControl::components = null`[private]`

Required designer variable.

System.Windows.Forms.Label IG::Neural::Applications::Functions::ScalarFunctionScriptControl::lblTitle`[private]`

System.Windows.Forms.Label IG::Neural::Applications::Functions::ScalarFunctionScriptControl::lblDimension`[private]`

System.Windows.Forms.Label IG::Neural::Applications::Functions::ScalarFunctionScriptControl::lblName`[private]`

System.Windows.Forms.TextBox IG::Neural::Applications::Functions::ScalarFunctionScriptControl::txtName`[private]`

System.Windows.Forms.NumericUpDown IG::Neural::Applications::Functions::ScalarFunctionScriptControl::numericUpDown1`[private]`

System.Windows.Forms.Panel IG::Neural::Applications::Functions::ScalarFunctionScriptControl::pnlOuter`[private]`

System.Windows.Forms.TextBox IG::Neural::Applications::Functions::ScalarFunctionScriptControl::textBox2`[private]`

System.Windows.Forms.Label IG::Neural::Applications::Functions::ScalarFunctionScriptControl::lblValue`[private]`

System.Windows.Forms.TextBox IG::Neural::Applications::Functions::ScalarFunctionScriptControl::textBox1`[private]`

System.Windows.Forms.Label IG::Neural::Applications::Functions::ScalarFunctionScriptControl::lblParameterNames`[private]`

System.Windows.Forms.CheckBox IG::Neural::Applications::Functions::ScalarFunctionScriptControl::chkGradients`[private]`

System.Windows.Forms.Button IG::Neural::Applications::Functions::ScalarFunctionScriptControl::btnValueCalculator`[private]`

System.Windows.Forms.Button IG::Neural::Applications::Functions::ScalarFunctionScriptControl::btnCreateFunction`[private]`

System.Windows.Forms.TextBox IG::Neural::Applications::Functions::ScalarFunctionScriptControl::txtGradients`[private]`

System.Windows.Forms.Label IG::Neural::Applications::Functions::ScalarFunctionScriptControl::label1`[private]`

System.Windows.Forms.TextBox IG::Neural::Applications::Functions::ScalarFunctionScriptControl::txtValueMath`[private]`

System.Windows.Forms.Button IG::Neural::Applications::Functions::ScalarFunctionScriptControl::btnSummary`[private]`

The documentation for this class was generated from the following files:

- ScalarFunctionScriptControl.cs
- ScalarFunctionScriptControl.Designer.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events